ledger (3.2.1-7) unstable; urgency=medium

  * Switch to python3-dev as a build-dep from python3-all-dev. (Closes:
    #973632).

 -- David Bremner <bremner@debian.org>  Wed, 04 Nov 2020 22:29:28 -0400

ledger (3.2.1-6) unstable; urgency=medium

  * Unbreak d/ledger.install. Fixes "Ledger executable not found", thanks
    to Louis-Philippe Véronneau (Closes: #969430).
  * Install documentation

 -- David Bremner <bremner@debian.org>  Wed, 02 Sep 2020 16:26:53 -0300

ledger (3.2.1-5) unstable; urgency=medium

  * Bug fix: "Please provide python3-ledger package", thanks to Brian May
    (Closes: #857335).

 -- David Bremner <bremner@debian.org>  Wed, 19 Aug 2020 10:33:25 -0300

ledger (3.2.1-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - Build-Depends on tzdata <!nocheck>, it's needed for the tests
      (Closes: #968004)

 -- David Bremner <bremner@debian.org>  Thu, 06 Aug 2020 10:51:18 -0300

ledger (3.2.1-2) unstable; urgency=medium

  * Bug fix: "Unversioned Python removal in sid/bullseye", thanks to
    Matthias Klose (Closes: #967156).
  * Bug fix: "ledger deb package should suggest ledger-el", thanks to
    Thierry (Closes: #843112).

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 07:46:45 -0300

ledger (3.2.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop patch for PR 1896, now upstream

 -- David Bremner <bremner@debian.org>  Tue, 26 May 2020 22:25:29 -0300

ledger (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Apply upstream PR 1896 to add back rpath

 -- David Bremner <bremner@debian.org>  Sat, 09 May 2020 08:04:41 -0300

ledger (3.1.3-1) unstable; urgency=medium

  [ David Bremner ]
  * New upstream release
  * Don't build ledger-dbg (rely on auto generated -dbgsym package).

  [ Dimitri John Ledkov ]
  * Finish dh'ification
  * Drop python-ledger module, in preparation for python3
    transition. Closes: #945840
  * Drop obsolete inline patches for lisp (no longer exists), docs (using
    separate build-dir anyway) and rpath (just shipping the shared library
    globally now)
  * Fixup shipping private library, privately without headers & dev
    symlink.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2019 14:17:21 +0000

ledger (3.1.2+dfsg1-2) unstable; urgency=medium

  * Drop build-depends on dh_elpa, no longer needed.

 -- David Bremner <bremner@debian.org>  Wed, 06 Feb 2019 08:14:26 -0400

ledger (3.1.2+dfsg1-1) unstable; urgency=medium

  [ David Bremner ]
  * Update Vcs-Git and Vcs-Browser for the move to salsa
  * New upstream release.
  * Bug fix: "CVE-2017-2808: Ledger CLI Account Directive Use-After-Free
    Vulnerability", thanks to Salvatore Bonaccorso (Closes: #876659).
  * Bug fix: "CVE-2017-2807: Ledger CLI Tags Parsing Code Execution
    Vulnerability", thanks to Salvatore Bonaccorso (Closes: #876660).
  * Bug fix: "CVE-2017-12481 CVE-2017-12482", thanks to Moritz Muehlenhoff
    (Closes: #870900).
  * Bug fix: "Upgrade to latest upstream git", thanks to Sampo Sorsa
    (Closes: #913660).
  * Bug fix: "[Mayhem] Bug report on ledger: ledger crashes with exit
    status 139", thanks to Alexandre Rebert (Closes: #716086).
  * Give up on Gnucash support (Closes: #740757).
  * Bug fix: "Payee names containing angle brackets (&quot;&lt;&gt;&quot;)
    result in corrupti reports", thanks to Anonymous (Closes: #684603).
  * Bug fix: "short option -f (for --file) missing in manpage", thanks to
    Jonas Meurer (Closes: #839634).
  * Drop binary packages elpa-ledger-mode and ledger-el, moving to new
    source package ledger-mode.

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/rules: Remove trailing whitespaces

 -- David Bremner <bremner@debian.org>  Wed, 06 Feb 2019 06:48:57 -0400

ledger (3.1.2~pre1+g3a00e1c+dfsg1-5) unstable; urgency=medium

  * fix mangled patch exports (patching out deleted files)

 -- David Bremner <bremner@debian.org>  Mon, 07 Aug 2017 09:21:56 -0400

ledger (3.1.2~pre1+g3a00e1c+dfsg1-4) unstable; urgency=medium

  * Add maintscripts to remove obsolete startup files. Bug fix: "emacs
    startup provided in wrong package", thanks to bdale@gag.com (Bdale
    Garbee); (Closes: #857585)

 -- David Bremner <bremner@debian.org>  Sat, 05 Aug 2017 09:13:07 -0400

ledger (3.1.2~pre1+g3a00e1c+dfsg1-3) unstable; urgency=medium

  * Bug fix: "ledger deb package should suggest ledger-el", thanks to
	  Thierry (Closes: #843112).
  * Swap uploader and maintainer to better direct bug reports

 -- David Bremner <bremner@debian.org>  Wed, 19 Jul 2017 14:54:13 -0300

ledger (3.1.2~pre1+g3a00e1c+dfsg1-2) unstable; urgency=medium

  * convert ledger-el to elpa-ledger (using dh-elpa).  Bug fix: "Fails to
	  install if emacs23 is still installed", thanks to Tollef Fog Heen
	  (Closes: #839682).

 -- David Bremner <bremner@debian.org>  Wed, 05 Oct 2016 22:40:14 -0300

ledger (3.1.2~pre1+g3a00e1c+dfsg1-1) unstable; urgency=medium

  * New upstream release snapshot
  * Cherry-pick upstream pull request 465. Bug fix: "FTBFS on buildds
	  after gcc6/icu57/boost1.61", thanks to Mattia Rizzolo (Closes:
	  #833753).

 -- David Bremner <bremner@debian.org>  Tue, 13 Sep 2016 11:55:15 -0300

ledger (3.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #813780).
  * Bug fix: "please add dependency “Suggests: ledger”", thanks to Ben
	  Finney (Closes: #766593).
  * Bug fix: "Debian package does not include upstream commenting-out
	  keybinding (M-; )", thanks to gwern (Closes: #775440).

  [ Ben Finney ]

  * Update license grant text for ‘lisp/*’ to match upstream.
    (Closes: Bug#809929)

 -- David Bremner <bremner@debian.org>  Sun, 14 Feb 2016 22:28:14 -0400

ledger (3.1+dfsg1-7) unstable; urgency=medium

  * Bug fix: "FTBFS when built with dpkg-buildpackage -A (no binary
	  artifacts)", thanks to Santiago Vila (Closes: #805945).

 -- David Bremner <bremner@debian.org>  Sat, 28 Nov 2015 13:40:32 -0400

ledger (3.1+dfsg1-6) unstable; urgency=medium

  * Add debug package, thanks to Adrian Lang
  * Assert compliance with standards version 3.9.6

 -- David Bremner <bremner@debian.org>  Tue, 25 Aug 2015 13:10:54 -0300

ledger (3.1+dfsg1-5) unstable; urgency=medium

  * Cherry pick upstream commits bcaca2 and a1cb25 to fix FTBFS with boost
	  1.58
  * Rebuild with gcc 5

 -- David Bremner <bremner@debian.org>  Wed, 12 Aug 2015 10:01:58 +0200

ledger (3.1+dfsg1-4) experimental; urgency=medium

  * Add python-ledger binary package (Closes: #704980).

 -- David Bremner <bremner@debian.org>  Mon, 19 Jan 2015 08:31:23 +0100

ledger (3.1+dfsg1-2) unstable; urgency=medium

  * Cherry pick patches for Emacs ledger-mode (ledger-el) from
    upstream (Closes: #769454).
    - fix for completely broken M-p in Emacs ledger-mode
    - fixes for syntax highlightling in ledger-mode

 -- David Bremner <bremner@debian.org>  Wed, 03 Dec 2014 22:25:08 +0100

ledger (3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Wed, 08 Oct 2014 19:20:38 +0200

ledger (3.0.0+dfsg4-2) unstable; urgency=high

  * Disable rpath for libledger.so (Closes: #760110).

 -- David Bremner <bremner@debian.org>  Sun, 31 Aug 2014 17:54:00 -0700

ledger (3.0.0+dfsg4-1) unstable; urgency=medium

  * Don't embed libutfcpp

 -- David Bremner <bremner@debian.org>  Thu, 28 Aug 2014 19:25:49 -0700

ledger (3.0.0+dfsg3-1) unstable; urgency=medium

  * Depend on default boost version
  * Bug fix: "ledger-3 bundles non-dfsg software", thanks to
	  j@jamielinux.com</a>; (Closes: #741740). The bundled sha1
	  implementation is replaced by one from boost.
  * Bug fix: "missing licenses in debian/copyright", thanks to Thorsten
	  Alteholz (Closes: #741246).

 -- David Bremner <bremner@debian.org>  Sun, 13 Apr 2014 17:52:27 -0300

ledger (3.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream tag v3.0. Only doc/test changes since last snapshot.

 -- David Bremner <bremner@debian.org>  Thu, 13 Mar 2014 08:30:06 -0300

ledger (3.0.0~20140226+bedae81+dfsg1-2) unstable; urgency=low

  * Split emacs interface to separate binary package. Install in a (more)
    debian-emacs-policy compliant way.

 -- David Bremner <bremner@debian.org>  Mon, 03 Mar 2014 10:59:11 -0400

ledger (3.0.0~20140226+bedae81+dfsg1-1) unstable; urgency=low

  * Updated git snapshot, by request to unstable (Closes: #604116)
  * Remove minified javascript files without corresponding source.  These
    are in the python bindings, so there should currently be no user
    visible effects (Closes: #736738).

 -- David Bremner <bremner@debian.org>  Sun, 02 Mar 2014 19:52:43 -0400

ledger (3.0.0~20130313+b608ed2-1) experimental; urgency=low

  * Updated git snapshot for experimental.
  * Remove special handling for timeclock.el, no longer shipped upstream.

 -- David Bremner <bremner@debian.org>  Sat, 16 Mar 2013 09:23:03 -0300

ledger (3.0.0~20130302+4810da9-1) experimental; urgency=low

  * Updated git snapshot for experimental (Closes: #701086).
  * Build system switched (upstream) to CMake.
  * Added trivial build-arch and build-indep targets
  * No longer install /usr/share/doc/ledger/examples/tools; not of
    interest to end-users.
  * Add hardening flags
  * Update Homepage, thanks to Ryan Kavanagh (Closes: #698239).
  * Add Vcs-Browser and Vcs-Git fields.
  * Use new emacs ledger mode (ldg-new.el) by default.
  * Link with -Wl,--as-needed to avoid depending on 2 extra boost libs.

 -- David Bremner <bremner@debian.org>  Tue, 05 Mar 2013 14:34:20 -0400

ledger (3.0.0~20120421+7cc550f-1) experimental; urgency=low

  * Updated git snapshot build for experimental.
  * Bumped Standards-Version to 3.9.3; no changes required.
  * Update debhelper compat to 8.

 -- Matt Palmer <mpalmer@debian.org>  Sat, 21 Apr 2012 19:43:07 +1000

ledger (3.0.0~20100623+eda6cbd-1) experimental; urgency=low

  * Git snapshot build for experimental, to give people a look at ledger
    3.0, and bed down the packaging.  Closes: #574090.
    - Switch to 3.0 (quilt) format, for shits 'n giggles.

 -- Matt Palmer <mpalmer@debian.org>  Fri, 10 Dec 2010 13:48:00 +1100

ledger (2.6.2-3) unstable; urgency=low

  * Ack NMU from Margarita Manterola, fixing #576660.
  * Apply patch to ledger.el from David Maus to fix some sort of reconciling
    buffer problem.  Closes: #605429.
  * Update docs to clarify that options in ~/.ledgerrc must be placed on
    separate lines.  Closes: #605810.
  * Update docs to remove unwarranted optimism about the --file option
    (It doesn't take a colon-separated list of files, and you can't specify
    it more than once).  Closes: #605807.
  * Bump standards version; no changes required.

 -- Matt Palmer <mpalmer@debian.org>  Fri, 10 Dec 2010 12:41:20 +1100

ledger (2.6.2-2.1) unstable; urgency=low

  * Non-maintainer upload to fix generation of unneeded dir.gz info file.
  * Changed debian/rules to remove /usr/share/info/dir before building the
    package.  Closes: #576660.

 -- Margarita Manterola <marga@debian.org>  Sat, 24 Apr 2010 19:06:01 +0000

ledger (2.6.2-2) unstable; urgency=low

  * CONSTipate gnucash.cc, textual.cc, and option.cc, so it builds with GCC
    4.4.  Thanks to Stefan Ebner for the patch.  Closes: #547303.
  * Install a man page (this will become redundant once 3.0 comes out, but
    until then...).  Thanks to Carl Worth for the manpage.  Closes: #540409.
  * Install emacs mode for ledger (ledger.el); untested, as I have no emacs
    fu, but here's hoping... Thanks to Kevin Ryde for the patch.
    Closes: #554040.
  * Bumped standards version; no changes required.

 -- Matt Palmer <mpalmer@debian.org>  Sat, 26 Dec 2009 10:38:50 +1100

ledger (2.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Matt Palmer <mpalmer@debian.org>  Tue, 30 Jun 2009 18:47:07 +1000

ledger (2.6.1-3) unstable; urgency=low

  * Put sample.dat and the scripts directory in examples.  Closes: #524976.
  * Build and install the HTML docs as well.  Just Because.

 -- Matt Palmer <mpalmer@debian.org>  Tue, 28 Apr 2009 19:52:52 +1000

ledger (2.6.1-2) unstable; urgency=low

  * Update README to point to new mailing list.  Closes: #513414
  * Build and install the PDF documentation.  Closes: #513416

 -- Matt Palmer <mpalmer@debian.org>  Sat, 31 Jan 2009 15:04:13 +1100

ledger (2.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Matt Palmer <mpalmer@debian.org>  Thu, 18 Sep 2008 10:11:27 +1000

ledger (2.6.0.90-1) unstable; urgency=low

  * Initial release (Closes: #405011)

 -- Matt Palmer <mpalmer@debian.org>  Tue, 10 Jun 2008 18:44:40 +1000

